## ruby-sentry-sidekiq 5.3.0

=== Makefile ===
build:
	bundle install
	gem build sentry-sidekiq.gemspec

test:
	WITH_SENTRY_RAILS=1 bundle exec rspec spec/sentry/rails_spec.rb
	bundle exec rspec

=== debian/changelog ===
ruby-sentry-sidekiq (5.3.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sat, 14 May 2022 13:31:52 +0530

ruby-sentry-sidekiq (5.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1010672)

 -- Pirate Praveen <praveen@debian.org>  Fri, 06 May 2022 20:55:49 +0530

=== debian/control ===
Source: ruby-sentry-sidekiq
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb (>= 1),
               ruby-sentry-ruby-core (>= 5.3.0),
               ruby-sidekiq (>= 3.0)
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-sidekiq.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-sidekiq
Homepage: https://github.com/getsentry/sentry-ruby
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-sentry-sidekiq
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: provides Sidekiq integration for the Sentry error logger
 A library that provides Sidekiq integration for the Sentry error logger.
 Sentry  provides real-time crash reporting for web apps, mobile apps, and
 games.

## ruby-sentry-sidekiq 5.9.0

=== debian/changelog ===
ruby-sentry-sidekiq (5.9.0-2) unstable; urgency=medium

  * Reupload to unstable
  * Drop obsolete X{S,B}-Ruby-Versions fields

 -- Pirate Praveen <praveen@debian.org>  Tue, 13 Jun 2023 20:22:17 +0530

ruby-sentry-sidekiq (5.9.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Pirate Praveen ]
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * New upstream version 5.9.0
  * Switch build dependency: ruby-sentry-ruby-core -> ruby-sentry-ruby

 -- Pirate Praveen <praveen@debian.org>  Sat, 29 Apr 2023 19:13:08 +0530

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,18 @@
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               gem2deb (>= 1),
-               ruby-sentry-ruby-core (>= 5.3.0),
-               ruby-sidekiq (>= 3.0)
-Standards-Version: 4.6.1
+               gem2deb (>= 2.1~),
+               ruby-sentry-ruby (>= 5.9~),
+               ruby-sidekiq
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-sidekiq.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-sidekiq
 Homepage: https://github.com/getsentry/sentry-ruby
 Testsuite: autopkgtest-pkg-ruby
-XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
 Package: ruby-sentry-sidekiq
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${misc:Depends},
          ${ruby:Depends},
          ${shlibs:Depends}

## ruby-sentry-sidekiq 5.16.1

=== debian/changelog ===
ruby-sentry-sidekiq (5.16.1-1) unstable; urgency=medium

  * New upstream version
  * Update minimum version of ruby-sentry-sidekiq to 5.16.1~

 -- Pirate Praveen <praveen@debian.org>  Tue, 06 Feb 2024 00:28:16 +0530

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 2.1~),
-               ruby-sentry-ruby (>= 5.9~),
+               ruby-sentry-ruby (>= 5.16.1~),
                ruby-sidekiq
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-sidekiq.git

## ruby-sentry-sidekiq 5.18.2

=== debian/changelog ===
ruby-sentry-sidekiq (5.18.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Pirate Praveen <praveen@debian.org>  Sun, 28 Jul 2024 15:22:37 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                gem2deb (>= 2.1~),
                ruby-sentry-ruby (>= 5.16.1~),
                ruby-sidekiq
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-sidekiq.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-sidekiq
 Homepage: https://github.com/getsentry/sentry-ruby

## ruby-sentry-sidekiq 5.28.0

=== Makefile ===
build:
	bundle install
	gem build sentry-sidekiq.gemspec

=== debian/changelog ===
ruby-sentry-sidekiq (5.28.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Standards-Version to 4.7.2, no changes needed.
  * Bump build dependencies.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 20 Oct 2025 17:19:48 -0500

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 2.1~),
-               ruby-sentry-ruby (>= 5.16.1~),
-               ruby-sidekiq
-Standards-Version: 4.7.0
+               ruby-sentry-ruby (>= 5.28.0),
+               ruby-sidekiq (>= 3.0)
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-sidekiq.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-sidekiq
 Homepage: https://github.com/getsentry/sentry-ruby

=== debian/watch ===
version=4
https://gemwatch.debian.net/sentry-sidekiq .*/sentry-sidekiq-(.*).tar.gz

# Use the regex below for github-based sources
# opts=uversionmangle=s/[_.+-]?(rc|pre|dev|beta|alpha|b|a)/~$1/i,\
# filenamemangle=s%(?:.+/)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2% \
#   https://github.com/<owner>/<repo>/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## ruby-sentry-sidekiq 6.3.0

=== debian/changelog ===
ruby-sentry-sidekiq (6.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Standards-Version to 4.7.3, no changes needed.
  * Bump build dependencies.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 08 Feb 2026 14:39:34 -0600

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 2.1~),
-               ruby-sentry-ruby (>= 5.28.0),
-               ruby-sidekiq (>= 3.0)
-Standards-Version: 4.7.2
+               ruby-sentry-ruby (>= 6.3.0),
+               ruby-sidekiq (>= 5.0)
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-sidekiq.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-sidekiq
 Homepage: https://github.com/getsentry/sentry-ruby

## ruby-sentry-sidekiq 6.4.0

=== debian/changelog ===
ruby-sentry-sidekiq (6.4.0-1) unstable; urgency=medium

  * Team upload.
  * Upgrade watch file to version 5.
  * New upstream release.
  * Drop Rules-Requires-Root field, it is now redundant.
  * Bump build dependencies.
  * Drop FIXME from upstream metadata.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 01 Mar 2026 18:15:06 -0600

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: ruby-sentry-sidekiq
 Section: ruby
-Priority: optional
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 2.1~),
-               ruby-sentry-ruby (>= 6.3.0),
+               ruby-sentry-ruby (>= 6.4.0),
                ruby-sidekiq (>= 5.0)
 Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-sentry-sidekiq.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-sentry-sidekiq
 Homepage: https://github.com/getsentry/sentry-ruby
 Testsuite: autopkgtest-pkg-ruby
-Rules-Requires-Root: no
 
 Package: ruby-sentry-sidekiq
 Architecture: all

=== debian/watch ===
Version: 5
Source: https://gemwatch.debian.net/sentry-sidekiq
Matching-Pattern: .*/sentry-sidekiq-(.*).tar.gz
